tlang
=====

[![D](https://github.com/tbklang/tlang/actions/workflows/d.yml/badge.svg?branch=vardec_varass_dependency)](https://github.com/tbklang/tlang/actions/workflows/d.yml) [![Coverage Status](https://coveralls.io/repos/github/tbklang/tlang/badge.svg?branch=vardec_varass_dependency)](https://coveralls.io/github/tbklang/tlang?branch=vardec_varass_dependency)

Official Tristan Language project compiler

## Documentation

Docs are available [here](http://deavmi.assigned.network/projects/tlang/).

## Building

To build you will need `dmd` and `dub` installed. You can then run the following:

```
dub test --coverage
dub build
```

The first command is optional but you want to make sure the compiler is working so you may
as well run all the unit tests - it won't take too long.

## Usage

A list of all commands can be found by typing in the following:

```
./tlang
```
